%define kmod_name kvm

Name: %{kmod_name}
Summary: Kernel-based Virtual Machine module
Version: 84
Release: 4%{?dist}
Source: http://download.sourceforge.net/sourceforge/kvm/kvm-%{version}.tar.gz
Source13: kvm.rules
License: GPL
ExclusiveOS: linux
Group: System Environment/Kernel
Provides: %{name}
URL:  http://kvm.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} x86_64

Source11: find-requires
Source12: find-requires.ksyms

Patch: kvm-asianux.patch

%ifarch %{ix86}
BuildArchitectures: i686
%endif


%kernel_module_package

%global _use_internal_dependency_generator 0
%define __find_requires %_sourcedir/find-requires %{name}

%description
KVM (for Kernel-based Virtual Machine) is a full virtualization solution 
for Linux on x86 hardware. 

Using KVM, one can run multiple virtual machines running unmodified Linux 
or Windows images. Each virtual machine has private virtualized hardware: 
a network card, disk, graphics adapter, etc.

This package contains the KVM module.

%prep
%setup -q -c -T -a 0

(
cd %{kmod_name}-%{version}
%patch0 -p1
)

for flavor in %flavors_to_build ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$flavor

    cat << EOF > _kmod_build_$flavor/config.mak
PREFIX=/usr
KERNELDIR=%{kernel_source $flavor}
WANT_MODULE=1
EOF
done
cd %{kmod_name}-%{version}

%build

[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}

for flavor in %flavors_to_build ; do
    pushd _kmod_build_$flavor/kernel
    cd ..
    sh configure
    cd kernel
    make KERNELDIR=%{kernel_source $flavor}
    popd
done

%install

for flavor in %flavors_to_build ; do
    pushd _kmod_build_$flavor/kernel
    make -C %{kernel_source $flavor} INSTALL_MOD_PATH=$RPM_BUILD_ROOT INSTALL_MOD_DIR=extra/%{kmod_name} modules_install M=$PWD
    mkdir -p -m755 $RPM_BUILD_ROOT/etc/udev/rules.d/
    install -m 644 %{SOURCE13} $RPM_BUILD_ROOT/etc/udev/rules.d/90-kvm.rules
    popd
done

%clean
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 10 2009 Mika Kamei <mkamei@miraclelinux.com> - 84-4
- remove PreReq: /bin/rpm, /usr/bin/getopt (AXBug#6331)
- rebuild because of adding PreReq: /bin/rpm, /usr/bin/getopt into /usr/lib/rpm/asianux/kmodtool (AXBug#6412)

* Thu May 28 2009 Mika Kamei <mkamei@miraclelinux.com> - 84-3
- add PreReq: /bin/rpm, /usr/bin/getopt (AXBug#6331)

* Fri Apr 30 2009 <ax-kernel@asianux.com> - 84-2
- change build KERNELDIR[Bug6231]

* Fri Apr 03 2009 <ax-kernel@asianux.com> - 84-1
- add kvm-kmp
